Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 05 May 2021 05:21:36 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I don't want to say this but based on my experience if I made a purchase and paid by card you will deliver in just a matter of 3days but if I order by cash on delivery, it takes a while before you will deliver i don't understand why it's taking so long. I urgently needed my order since Saturday but until now i didn't receive it yet. order number 6301915542 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2498607